# encoding: utf-8

# -------------------------------------------------------------------------------
# (C) Copyright 2019 - 2021 Micro Focus or one of its affiliates.
#
# The only warranties for products and services of Micro Focus and its affiliates
# and licensors (“Micro Focus”) are as may be set forth in the express warranty
# statements accompanying such products and services. Nothing herein should be
# construed as constituting an additional warranty. Micro Focus shall not be
# liable for technical or editorial errors or omissions contained herein. The
# information contained herein is subject to change without notice.
#
# Except as specifically indicated otherwise, this document contains confidential
# information and a valid license is required for possession, use or copying. If
# this work is provided to the U.S. Government, consistent with FAR 12.211 and
# 12.212, Commercial Computer Software, Computer Software Documentation, and
# Technical Data for Commercial Items  are licensed to the U.S. Government under
# vendor's standard commercial license.
# ------------------------------------------------------------------------------
# Copyright (c) 2006 Novell, Inc. All Rights Reserved.
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of version 2 of the GNU General Public License as published by the
# Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, contact Novell, Inc.
#
# To contact Novell about this file by physical or electronic mail, you may find
# current contact information at www.novell.com.
# ------------------------------------------------------------------------------

require "yast"

module Yast
  class InstSuseRegisterRestore < Client
    def main
      Yast.import "FileUtils"
      Yast.import "Installation"
      Yast.import "Mode"

      Builtins.y2milestone("Restoring suse_register during #{Mode.mode}...")
      if !Mode.normal
        if ::Dir.exist?("/tmp/suse_register-backup")
          SCR.Execute(
           path(".target.bash"),
           "mkdir -p /tmp/suse_register-backup/usr/share/pki/trust/anchors/;\n" \
           "mv -uv /tmp/suse_register-backup/etc/pki/trust/anchors/registration-server.pem /tmp/suse_register-backup/usr/share/pki/trust/anchors/;\n" \
           "cp -av /tmp/suse_register-backup/* #{Installation.destdir}"
          )
        end
        SCR.Execute(
         path(".target.bash"),
         "mkdir -p #{Installation.destdir}/var/lib/suseRegister/;\n" \
         "cp -av /var/lib/suseRegister/* #{Installation.destdir}/var/lib/suseRegister/"
        )
        if Mode.mode == "update" || Mode.mode == "autoupdate"
          smtpemPath = "/etc/pki/trust/anchors/registration-server.pem"
          if FileUtils::Exists("#{smtpemPath}")
            Builtins.y2milestone("Copying #{smtpemPath} to #{Installation.destdir}/usr/share/pki/trust/anchors/ ...")
            SCR.Execute(
              path(".target.bash"),
              "mkdir -p #{Installation.destdir}/usr/share/pki/trust/anchors/;\n" \
              "cp -apv #{smtpemPath} #{Installation.destdir}/usr/share/pki/trust/anchors/"
            )
          end

          SCR.Execute(
            path(".target.bash"),
            "cp -av /etc/suseRegister.conf #{Installation.destdir}/etc/;\n" \
            "cp -av /var/lib/suseRegister/* #{Installation.destdir}/var/lib/suseRegister;\n"
          )
        end
      end

      :auto
    end
  end
end

Yast::InstSuseRegisterRestore.new.main
